Index: contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-arm-rtems4.11-binutils
 Requires:	rtems-4.11-arm-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-arm-rtems4.11-binutils
-# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/arm-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/arm-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/arm-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-avr-rtems4.11-binutils
 Requires:	rtems-4.11-avr-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -348,5 +352,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -617,5 +621,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-avr-rtems4.11-binutils
-# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -635,5 +639,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -657,5 +661,7 @@
 %{_bindir}/avr-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/avr-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/avr-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -714,4 +720,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -748,5 +757,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -769,5 +778,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-bfin-rtems4.11-binutils
 Requires:	rtems-4.11-bfin-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-bfin-rtems4.11-binutils
-# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/bfin-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/bfin-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/bfin-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -725,4 +734,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -819,5 +831,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -840,5 +852,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -668,5 +675,7 @@
 %{_bindir}/h8300-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/h8300-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/h8300-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
Index: contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-i386-rtems4.11-binutils
 Requires:	rtems-4.11-i386-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-i386-rtems4.11-binutils
-# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/i386-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/i386-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/i386-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -668,5 +675,7 @@
 %{_bindir}/lm32-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/lm32-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/lm32-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
Index: contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-m32c-rtems4.11-binutils
 Requires:	rtems-4.11-m32c-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -348,5 +352,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -617,5 +621,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32c-rtems4.11-binutils
-# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -635,5 +639,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -657,5 +661,7 @@
 %{_bindir}/m32c-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/m32c-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/m32c-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -715,4 +721,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -749,5 +758,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -770,5 +779,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-m32r-rtems4.11-binutils
 Requires:	rtems-4.11-m32r-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -348,5 +352,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -617,5 +621,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32r-rtems4.11-binutils
-# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -635,5 +639,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -657,5 +661,7 @@
 %{_bindir}/m32r-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/m32r-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/m32r-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -715,4 +721,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -749,5 +758,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -770,5 +779,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-m68k-rtems4.11-binutils
 Requires:	rtems-4.11-m68k-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m68k-rtems4.11-binutils
-# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/m68k-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/m68k-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/m68k-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-mips-rtems4.11-binutils
 Requires:	rtems-4.11-mips-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-mips-rtems4.11-binutils
-# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/mips-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/mips-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/mips-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-powerpc-rtems4.11-binutils
 Requires:	rtems-4.11-powerpc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-powerpc-rtems4.11-binutils
-# Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/powerpc-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/powerpc-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/powerpc-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-sh-rtems4.11-binutils
 Requires:	rtems-4.11-sh-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sh-rtems4.11-binutils
-# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/sh-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/sh-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/sh-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-sparc-rtems4.11-binutils
 Requires:	rtems-4.11-sparc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/sparc-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/sparc-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/sparc-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision 8024bbaa49d238cdcc32f514a079f82c27d94b5f)
+++ contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision 963d052e098f118362f833239fe1357428153e6e)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.5.2
-%define gcc_version 4.5.2
-%define gcc_rpmvers %{expand:%(echo "4.5.2" | tr - _ )}
+%define gcc_pkgvers 4.6.0-RC-20110321
+%define gcc_version 4.6.0
+%define gcc_rpmvers %{expand:%(echo "4.6.0" | tr - _ )}
 
 %define newlib_pkgvers		1.19.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	7%{?dist}
+Release:      	0%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.11-sparc64-rtems4.11-binutils
 Requires:	rtems-4.11-sparc64-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -258,4 +258,8 @@
 %global _gcclibdir %{_prefix}/lib
 
+%if "%{gcc_version}" == "4.6.0"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.0-RC-20110321-rtems4.11-20110322.diff
+%endif
 %if "%{gcc_version}" == "4.5.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -264,4 +268,7 @@
 %{?_without_sources:NoSource:	0}
 
+%if "%{gcc_version}" == "4.6.0"
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -358,5 +365,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-5%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-0%{?dist}/newlib-%{newlib_version}-6%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -628,5 +635,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc64-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 # License:	GPL
 
@@ -646,5 +653,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-5%{?dist}
+Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-6%{?dist}
 License:	GPL
 
@@ -668,5 +675,7 @@
 %{_bindir}/sparc64-rtems4.11-gcc-%{gcc_version}%{_exeext}
 %{_bindir}/sparc64-rtems4.11-gcov%{_exeext}
+%if "%{gcc_version}" < "4.6.0"
 %{_bindir}/sparc64-rtems4.11-gccbug
+%endif
 
 %dir %{_libexecdir}
@@ -726,4 +735,7 @@
 %{_infodir}/gccint.info*
 %{_infodir}/gccinstall.info*
+%if "%{gcc_version}" >= "4.6.0"
+%{_infodir}/libquadmath.info*
+%endif
 
 %dir %{_mandir}
@@ -820,5 +832,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -841,5 +853,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        5%{?dist}
+Release:        6%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
